Package org.eclipse.gef.dot.internal

## Enum DotAttributes.Context

- java.lang.Object
- - java.lang.Enum<DotAttributes.Context>
  - - org.eclipse.gef.dot.internal.DotAttributes.Context

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DotAttributes.Context>`

Enclosing class:
  DotAttributes

    public static enum DotAttributes.Context
    extends java.lang.Enum<DotAttributes.Context>

Contexts by which attributes may be used.

### Enum Constant Summary

Enum Constants
`CLUSTER` Cluster subgraph context
`EDGE` Edge context
`GRAPH` Graph context
`NODE` Node context
`SUBGRAPH` Subgraph context

### Method Summary

All Methods Static Methods Concrete Methods
`static DotAttributes.Context` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DotAttributes.Context[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GRAPH

    public static final DotAttributes.Context GRAPH

Graph context

#### EDGE

    public static final DotAttributes.Context EDGE

Edge context

#### NODE

    public static final DotAttributes.Context NODE

Node context

#### SUBGRAPH

    public static final DotAttributes.Context SUBGRAPH

Subgraph context

#### CLUSTER

    public static final DotAttributes.Context CLUSTER

Cluster subgraph context

### Method Detail

#### values

    public static DotAttributes.Context[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DotAttributes.Context c : DotAttributes.Context.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DotAttributes.Context valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null